{
  "name": "tsl-devkit",
  "displayName": "TSL",
  "version": "2.2.0",
  "description": "TSL syntax highlighter support for VSCode.",
  "publisher": "csh",
  "homepage": "https://git.mytsl.cn/csh/tsl-devkit",
  "author": {
    "name": "csh"
  },
  "repository": {
    "type": "git",
    "url": "https://git.mytsl.cn/csh/tsl-devkit"
  },
  "bugs": {
    "url": "https://git.mytsl.cn/csh/tsl-devkit/issues"
  },
  "license": "AGPL-3.0-or-later",
  "icon": "images/favicon.ico",
  "categories": [
    "Programming Languages"
  ],
  "activationEvents": [
    "onLanguage:tsl"
  ],
  "main": "./out/extension.js",
  "contributes": {
    "languages": [
      {
        "id": "tsl",
        "aliases": [
          "TSL",
          "tsl"
        ],
        "extensions": [
          ".tsl",
          ".tsf"
        ],
        "configuration": "./language-configuration.json"
      }
    ],
    "grammars": [
      {
        "language": "tsl",
        "scopeName": "source.tsl",
        "path": "./syntaxes/tsl.tmLanguage.json"
      }
    ],
    "commands": [
      {
        "command": "extension.start",
        "title": "Start TSL Language Server"
      }
    ]
  },
  "scripts": {
    "vscode:prepublish": "npm run compile",
    "compile": "tsc -p ./",
    "watch": "tsc -watch -p ."
  },
  "devDependencies": {
    "@vscode/vsce": "^3.5.0",
    "typescript": "^5.8.3",
    "@types/node": "^24.0.3",
    "@types/vscode": "^1.101.0",
    "prettier": "^3.5.3"
  },
  "engines": {
    "vscode": "^1.101.0"
  },
  "dependencies": {
    "vscode-languageclient": "^9.0.1"
  }
}
